public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Tobias Klausmann" <klausman@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-im/pyicq-t/
Date: Thu, 24 Nov 2016 08:36:00 +0000 (UTC)	[thread overview]
Message-ID: <1479976556.eac8202b30de3146a29022cafa2f35c11de1c4d8.klausman@gentoo> (raw)

commit:     eac8202b30de3146a29022cafa2f35c11de1c4d8
Author:     Tobias Klausmann <klausman <AT> gentoo <DOT> org>
AuthorDate: Thu Nov 24 08:34:23 2016 +0000
Commit:     Tobias Klausmann <klausman <AT> gentoo <DOT> org>
CommitDate: Thu Nov 24 08:35:56 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=eac8202b

net-im/pyicq-t: Allow monolithic twisted to satisfy dependencies

 net-im/pyicq-t/pyicq-t-0.8.1.5-r6.ebuild | 56 ++++++++++++++++++++++++++++++++
 1 file changed, 56 insertions(+)

diff --git a/net-im/pyicq-t/pyicq-t-0.8.1.5-r6.ebuild b/net-im/pyicq-t/pyicq-t-0.8.1.5-r6.ebuild
new file mode 100644
index 00000000..ef0b95b
--- /dev/null
+++ b/net-im/pyicq-t/pyicq-t-0.8.1.5-r6.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="6"
+PYTHON_COMPAT=( python2_7 )
+inherit eutils python-single-r1 systemd
+
+MY_P="${P/pyicq-t/pyicqt}"
+DESCRIPTION="Python based jabber transport for ICQ"
+HOMEPAGE="https://code.google.com/p/pyicqt/"
+SRC_URI="https://pyicqt.googlecode.com/files/${MY_P}.tar.gz"
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="webinterface"
+
+DEPEND="net-im/jabber-base"
+RDEPEND="${DEPEND}
+	( || ( ( dev-python/twisted-core[${PYTHON_USEDEP}]
+		 	 dev-python/twisted-words[${PYTHON_USEDEP}]
+		 	 dev-python/twisted-web[${PYTHON_USEDEP}] )
+		   dev-python/twisted-core[${PYTHON_USEDEP}] ) )
+	webinterface? ( >=dev-python/nevow-0.4.1[${PYTHON_USEDEP}] )
+	dev-python/pillow[${PYTHON_USEDEP}]"
+
+src_prepare() {
+	eapply "${FILESDIR}/${P}-python26-warnings.diff"
+	eapply "${FILESDIR}/${P}-pillow-imaging.patch"
+	eapply_user
+}
+
+src_install() {
+	python_moduleinto ${PN}
+	cp PyICQt.py ${PN}.py || die
+	python_domodule ${PN}.py data tools src
+
+	insinto /etc/jabber
+	newins config_example.xml ${PN}.xml
+	fperms 600 /etc/jabber/${PN}.xml
+	fowners jabber:jabber /etc/jabber/${PN}.xml
+	fperms 755 "$(python_get_sitedir)/${PN}/${PN}.py"
+	sed -i \
+		-e "s:<spooldir>[^\<]*</spooldir>:<spooldir>/var/spool/jabber</spooldir>:" \
+		-e "s:<pid>[^\<]*</pid>:<pid>/var/run/jabber/${PN}.pid</pid>:" \
+		"${ED}/etc/jabber/${PN}.xml" || die
+
+	newinitd "${FILESDIR}/${PN}-0.8-initd-r1" ${PN}
+	systemd_dounit "${FILESDIR}/${PN}.service"
+	sed -i -e "s:INSPATH:$(python_get_sitedir)/${PN}:" \
+		"${ED}/etc/init.d/${PN}" "${ED}/usr/lib/systemd/system/${PN}.service" || die
+
+	python_fix_shebang "${D}$(python_get_sitedir)/${PN}"
+}


             reply	other threads:[~2016-11-24  8:36 UTC|newest]

Thread overview: 9+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2016-11-24  8:36 Tobias Klausmann [this message]
  -- strict thread matches above, loose matches on Subject: below --
2016-11-24  9:55 [gentoo-commits] repo/gentoo:master commit in: net-im/pyicq-t/ Tobias Klausmann
2016-11-27 10:33 Tobias Klausmann
2016-12-24 11:05 Tobias Klausmann
2017-04-23 21:01 David Seifert
2018-07-01  8:24 Pacho Ramos
2019-07-30  8:48 Michał Górny
2019-08-31  7:02 Michał Górny
2020-03-26 17:36 Michał Górny

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1479976556.eac8202b30de3146a29022cafa2f35c11de1c4d8.klausman@gentoo \
    --to=klausman@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox